Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.ssl
Interface Ssl

public interface Ssl

SSL settings

Version:
  $Id: Ssl.java,v 1.3 2005/04/20 16:49:30 alin_sinpalean Exp $
Author:
  Rob Worsnop, Mike Hutchinson

Field Summary
`static int` | `HS_HEADER_SIZE` TLS Hand shake Header Size.
`static java.lang.String` | `SSL_AUTHENTICATE` SSL is required and the server must return a certificate signed by a client-trusted authority.
`static java.lang.String` | `SSL_OFF` SSL is not used.
`static java.lang.String` | `SSL_REQUEST` SSL is requested; a plain socket is used if SSL is not available.
`static java.lang.String` | `SSL_REQUIRE` SSL is required; an exception if thrown if SSL is not available.
`static int` | `TLS_HEADER_SIZE` Size of TLS record header.
`static byte` | `TYPE_ALERT` TLS Alert record type.
`static byte` | `TYPE_APPLICATIONDATA` TLS Application data record.
`static byte` | `TYPE_CHANGECIPHERSPEC` TLS Change Cipher Spec record type.
`static int` | `TYPE_CLIENTHELLO` TLS Hand shake client hello sub type.
`static int` | `TYPE_CLIENTKEYEXCHANGE` TLS Hand shake client key exchange sub type.
`static byte` | `TYPE_HANDSHAKE` TLS Handshake record.

Field Detail

### SSL_OFF

    public static final java.lang.String SSL_OFF

  SSL is not used.

### SSL_REQUEST

    public static final java.lang.String SSL_REQUEST

  SSL is requested; a plain socket is used if SSL is not available.

### SSL_REQUIRE

    public static final java.lang.String SSL_REQUIRE

  SSL is required; an exception if thrown if SSL is not available.

### SSL_AUTHENTICATE

    public static final java.lang.String SSL_AUTHENTICATE

  SSL is required and the server must return a certificate signed by a client-trusted authority.

### TLS_HEADER_SIZE

    public static final int TLS_HEADER_SIZE

  Size of TLS record header.

### TYPE_CHANGECIPHERSPEC

    public static final byte TYPE_CHANGECIPHERSPEC

  TLS Change Cipher Spec record type.

### TYPE_ALERT

    public static final byte TYPE_ALERT

  TLS Alert record type.

### TYPE_HANDSHAKE

    public static final byte TYPE_HANDSHAKE

  TLS Handshake record.

### TYPE_APPLICATIONDATA

    public static final byte TYPE_APPLICATIONDATA

  TLS Application data record.

### HS_HEADER_SIZE

    public static final int HS_HEADER_SIZE

  TLS Hand shake Header Size.

### TYPE_CLIENTKEYEXCHANGE

    public static final int TYPE_CLIENTKEYEXCHANGE

  TLS Hand shake client key exchange sub type.

### TYPE_CLIENTHELLO

    public static final int TYPE_CLIENTHELLO

  TLS Hand shake client hello sub type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on August 22 2007